org.hibernate.search.backend.jgroups.logging.impl

## Interface Log

- All Superinterfaces:
    org.jboss.logging.BasicLogger, Log

      @MessageLogger(projectCode="HSEARCH")
      public interface Log
      extends Log

  Hibernate Search JGroup backend log abstraction.
  Author:
    Hardy Ferentschik

- - ### Field Summary

    - ### Fields inherited from interface org.hibernate.search.util.logging.impl.Log

      `AVRO_SERIALIZATION_MESSAGES_START_ID, ES_BACKEND_MESSAGES_START_ID, JGROUPS_BACKEND_MESSAGES_START_ID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `jgroupsBlockWaitingForAck(String indexName, boolean block)`
    `SearchException` | `jGroupsChannelCreationUsingFileError(String configuration, Throwable e)`
    `SearchException` | `jGroupsChannelInjectionError(String channelInject, Exception e, Class<?> actualType)`
    `void` | `jGroupsClosingChannelError(Exception toLog)`
    `void` | `jGroupsConfigurationNotFoundInProperties(Properties props)`
    `void` | `jGroupsConnectedToCluster(String clusterName, Object address)`
    `void` | `jGroupsDefaultConfigurationFileNotFound()`
    `void` | `jGroupsDisconnectingAndClosingChannel(String clusterName)`
    `void` | `jGroupsFlushNotPresentInStack()`
    `void` | `jgroupsFullConfiguration(String printProtocolSpecAsXML)`
    `SearchException` | `jGroupsMuxIdAlreadyTaken(short n)`
    `void` | `jGroupsReceivedNewClusterView(Object view)`
    `SearchException` | `jgroupsRemoteException(Address sender, Throwable exception, Throwable cause)`
    `TimeoutException` | `jgroupsRpcTimeout(Address sender)`
    `void` | `jGroupsStartingChannelProvider()`
    `SuspectedException` | `jgroupsSuspectingPeer(Address sender)`
    `SearchException` | `legacyJGroupsConfigurationDefined(String indexName)`
    `SearchException` | `missingJGroupsMuxId(String muxId)`
    `void` | `receivedEmptyLuceneWorksInMessage()`
    `void` | `startingJGroupsChannel(Object cfg)`
    `SearchException` | `unableConnectingToJGroupsCluster(String clusterName, Throwable e)`
    `SearchException` | `unableToSendWorkViaJGroups(Throwable e)`
    `SearchException` | `unableToStartJGroupsChannel(Throwable e)`

    - ### Methods inherited from interface org.hibernate.search.util.logging.impl.Log

      `abstractClassesCannotInsertDocuments, ambiguousLatitudeDefinition, ambiguousLongitudeDefinition, analyzerDefinitionNamingConflict, analyzerReferenceIsNotLucene, analyzerReferenceIsNotRemote, analyzerReferenceNotInitialized, assertionFailureCannotCastToWorkerBuilderContext, assertionNotLoadingUTF8Charset, attemptToCreateFacetingRequestForUnindexedEntity, attemptToFacetOnAnalyzedField, attributeNotRecognizedNorSerializable, backendError, backendNonTransactional, beanResolverContainedInProvidedServicesException, booleanQueryWithoutClauses, cannotCreateBridgeDefinedField, cannotDeserializeField, cannotDeserializeOperation, cannotExtractCoordinateFromObject, cannotExtractValueForIdentifier, cannotFindCoordinatesNorLatLongForSpatial, cannotGetResultSizeWithCriteriaAndRestriction, cannotGuessTransactionStatus, cannotHaveTwoSpatialsWithDefaultOrSameName, cannotInitializeDirectoryProvider, cannotInstantiateClassBridgeOfType, cannotOpenIndexWriterCausePreviousError, cannotReadFieldForClass, cannotReferenceAnalyzerAndNormalizer, cannotRunLuceneQueryTargetingEntityIndexedWithNonLuceneIndexManager, cannotSerializeCustomField, cantOpenCorruptedIndex, cantQueryUnconfiguredType, cantQueryUnindexedType, classLoaderServiceContainedInProvidedServicesException, closedBlackholeBackend, closingIndexWriter, configurationPropertyCantBeEmpty, conflictingParameterDefined, containedInPointsToProvidedId, conversionFromReaderToStringNotYetImplemented, couldNotAnalyzeSortableField, couldNotCloseResource, couldNotCreateUninvertingReader, deprecatedBackendName, deprecatedConfigurationPropertyIsIgnored, detectInfiniteTypeLoopInIndexedEmbedded, directoryIsNotReadable, distanceSortRequiresSpatialField, duplicateDocumentIdFound, entityWithIdNotFound, entityWithNoShard, errorDuringFacetingIndexing, errorRollingBackTransaction, exceptionDuringFactoryMethodExecution, exceptionDuringIndexMergeOperation, exceptionOccurred, executingLuceneQuery, facetAnnotationWithoutMatchingField, factoryMethodsMustReturnAnObject, failedSlaveDirectoryProviderInitialization, failToDeserializeObject, failToSerializeObject, fieldBridgeNotAnInstanceof, fieldBridgeNotTwoWay, fieldIdCannotBeUsedInMoreLikeThis, fieldLooksBinaryButDecompressionFailed, fieldNotStoredNorTermVectorCannotBeUsedInMoreLikeThis, fieldTriesToOverrideIdFieldSettings, fileDeleteFailureIgnored, fileDoesNotExist, fileIsADirectory, fileIsNotReadable, flushIntervalNeedsToBePositive, forceRemoveOnIndexOperationViaInterception, forceSkipIndexOperationViaInterception, forceToUseDocumentExtraction, forceUpdateOnIndexOperationViaInterception, forcingReleaseIndexWriterLock, foundCurrentMarker, fullTextFilterDefinitionNamingConflict, getFieldNameCannotBeNullException, getInvalidIntegerValueException, getInvalidShardCountException, getMultipleServiceImplementationsException, getNoServiceImplementationFoundException, getNoSessionFactoryInContextException, getNullEntityManagerPassedToFullEntityManagerCreationException, getNullSessionPassedToFullTextSessionCreationException, getPropertyNameCannotBeNullException, getUnableToCreateJGroupsBackendException, getUnableToLoadShardingStrategyClassException, getUnableToNarrowFieldDescriptorException, getUnexpectedServiceStatusException, givenCriteriaObjectCannotBeApplied, idCannotBeExtracted, idHashShardingWithSingleShard, ignoringBackendOptionForIndex, illegalLuceneVersionFormat, illegalObjectRetrievedFromMessage, incompatibleProtocolVersion, incompleteEntityInfo, inconsistentFieldConfiguration, inconsistentSortableFieldConfigurationForSharedIndex, incorrectEditDistance, incorrectMessageType, indexBasePathRequiredForLockingStrategy, indexDirectoryNotFoundCreatingNewOne, indexingCompletedAndMBeanUnregistered, indexingDocumentsCompleted, indexingEntities, indexingEntitiesCompleted, indexingSpeed, indexManagerAliasResolved, indexManagerTypeRequiredToBuildFieldBridge, indexManagerUsesSerializationService, indexNamesCollisionDetected, initializedBlackholeBackend, interruptedBatchIndexing, interruptedWhileWaitingForIndexActivity, interruptedWorkError, invalidEmptyNormalizerDefinition, invalidIncludePathConfiguration, invalidLuceneAnalyzerDefinitionProvider, invalidNullMarkerForDouble, invalidNullMarkerForFloat, invalidNullMarkerForInteger, invalidNullMarkerForLong, invalidPropertyValue, invalidStringDateFieldInDocument, ioExceptionOnIndex, ioExceptionOnIndexOfEntity, ioExceptionOnIndexWriter, ioExceptionOnMultiReaderRefresh, jmsInitialContextException, jmsQueueFactoryLookupException, jmsQueueLookupException, lazyLuceneAnalyzerReferenceNotInitialized, lazyRemoteAnalyzerReferenceNotInitialized, loadingNonExistentField, lockingFailureDuringInitialization, logInfoStreamMessage, luceneBackendInitializedAsynchronously, luceneBackendInitializedSynchronously, massIndexerExceptionWhileFetchingIds, massIndexerExceptionWhileTransformingIds, massIndexerUnableToIndexInstance, massIndexerUnexpectedErrorMessage, multipleFactoryMethodsInClass, multipleMatchingFieldBridges, multipleTermsInAnalyzedSortableField, needAtLeastOneIndexedEntityType, needAtLeastOneIndexName, noCurrentMarkerInSourceDirectory, noDocumentIdFoundException, noFieldBridgeInterfaceImplementedByClassBridge, noFieldBridgeInterfaceImplementedByFieldBridge, noFieldCompatibleForMoreLikeThis, noImplementationClassInFieldBridge, noPublicNoArgConstructor, normalizerDefinitionNamingConflict, normalizerProducedMultipleTokens, noStartOrEndSpecifiedForRangeQuery, notAnIndexedType, notDeleted, nullIsInvalidIndexedType, nullIsInvalidIndexName, nullMarkerInvalidFormat, numericDateFacetForNonNumericField, numericEncodedFieldsAreTargetedWithStringQuery, numericFieldAnnotationWithoutMatchingField, numericFieldCannotBeUsedInMoreLikeThis, numericRangeQueryWithNonNumericToAndFromValues, optimizationSkippedStillBusy, parametersShouldNotBeNull, parseException, projectingFieldWithoutTwoWayFieldBridge, projectingNonStoredField, providedServicesCannotImplementStartableOrStoppable, pushedChangesOutOfTransaction, queryWithNoIndexedType, queryWithNoTermsAfterAnalysis, rangeDefinitionOrderRequestedForDiscreteFacetRequest, rangeQueryWithNullToAndFromValue, readersNotProperlyClosedInReaderProvider, readerTypeUnsupportedForInverting, recommendConfiguringLuceneVersion, remoteAnalyzerNotInitialized, requestedIndexNotDefined, requireTFIDFSimilarity, searchFactoryReferenceServiceNotFound, searchIntegratorNotInitialized, serializationProtocol, serializationProviderNotFoundException, serviceProviderNotReleased, serviceRequestedAfterReleasedAllWasCalled, severalNumericFieldAnnotationsForSameField, shuttingDownBackend, simpleQueryParserDoesNotSupportNullQueries, singleTermDeleteDisabled, skippingDirectorySynchronization, sortableFieldRefersToUndefinedField, sortableFieldWithNonNormalizerAnalyzer, sortFieldTypeUnsupported, sortRequiresIndexedField, sortTypeDoesNotMatchFieldType, sourceDirectoryNotExisting, startingSyncConsumerThread, stoppingSyncConsumerThread, stopServiceFailed, stringEncodedFieldsAreTargetedWithNumericQuery, targetedEntityTypesNotConfigured, targetedEntityTypesNotIndexed, targetedFieldNotSpatial, timedOutWaitingShutdown, timedOutWaitingShutdownOfReaderProvider, transactionNotActiveWhileProducingIdsForBatchIndexing, unableToAccessClass, unableToAccessMethod, unableToCloseJmsConnection, unableToCloseLuceneDirectory, unableToCloseLuceneIndexReader, unableToCloseSearcherDuringQuery, unableToCloseSearcherInScrollableResult, unableToCompareSourceWithDestinationDirectory, unableToConfigureTikaBridge, unableToConvertSerializableStoreToLuceneStore, unableToCreateCurrentMarker, unableToDeleteByQuery, unableToDeserializeAvroStream, unableToDetermineClassBridge, unableToDetermineCurrentInSourceDirectory, unableToGetInputStreamFromBlob, unableToGuessFieldBridge, unableToInitializeIndexManager, unableToInstantiateFieldBridge, unableToInstantiateSpatial, unableToLoadResource, unableToOpenJMSConnection, unableToParseDocument, unableToReadSerializedLuceneWorks, unableToReadTokenStream, unableToRemovePreviousMarker, unableToRetrieveNamedAnalyzer, unableToRetrieveObjectFromMessage, unableToSearchOnNullValueWithoutFieldBridge, unableToSendJMSWork, unableToSerializeInAvro, unableToSerializeLuceneWorks, unableToSetFilterParameter, unableToShutdownAsynchronousIndexingByTimeout, unableToSynchronizeSource, unableToUnregisterExistingMBean, uncoveredSortsRequested, uncoveredSortsRequestedWithUninvertingNotAllowed, unexpectedBinaryDocValuesTypeType, unexpectedNumericDocValuesTypeType, unexpectedProjectionConstant, unexpectedValueMissingFromFieldCache, unknownAttributeSerializedRepresentation, unknownDeletionQueryKeySpecified, unknownDocValuesTypeType, unknownEncodingType, unknownFieldNameForFaceting, unknownFieldNameForMoreLikeThisQuery, unknownFieldType, unknownFullTextFilter, unknownIndexingMode, unknownNumericFieldType, unknownResolution, unsupportedErrorHandlerConfigurationValueType, unsupportedFacetRangeParameter, unsupportedFieldTypeForFaceting, unsupportedNullTokenType, unsupportedParameterTypeForRangeFaceting, unsupportedTikaBridgeType, usingDeprecatedNameForRamDirectoryProvider, usingSerializationService, valueTooLargeForConversionException, version, warnSuspiciousBackendDirectoryCombination, workerException, workListShouldNeverBeEmpty`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Method Detail

    - #### jgroupsSuspectingPeer

          @Message(id=200001,
                   value="Remote JGroups peer \'%1$s\' is suspected to have left \'")
          SuspectedException jgroupsSuspectingPeer(Address sender)

    - #### jgroupsRpcTimeout

          @Message(id=200002,
                   value="Timeout sending synchronous message to JGroups peer \'%1$s\'\'")
          TimeoutException jgroupsRpcTimeout(Address sender)

    - #### jgroupsRemoteException

          @Message(id=200003,
                   value="Exception reported from remote JGroups node \'%1$s\' : \'%2$s\'")
          SearchException jgroupsRemoteException(Address sender,
                                                                                                                                                       Throwable exception,
                                                                                                                                                       @Cause
                                                                                                                                                       Throwable cause)

    - #### unableToSendWorkViaJGroups

          @Message(id=200004,
                   value="Unable to send Lucene update work via JGroups cluster")
          SearchException unableToSendWorkViaJGroups(@Cause
                                                                                                                                                 Throwable e)

    - #### receivedEmptyLuceneWorksInMessage

          @LogMessage(level=WARN)
           @Message(id=200005,
                   value="Received null or empty Lucene works list in message.")
          void receivedEmptyLuceneWorksInMessage()

    - #### jGroupsReceivedNewClusterView

          @LogMessage(level=INFO)
           @Message(id=200006,
                   value="Received new cluster view: %1$s")
          void jGroupsReceivedNewClusterView(Object view)

    - #### missingJGroupsMuxId

          @Message(id=200007,
                   value="Configured JGroups channel is a Muxer! MuxId option is required: define \'%s\'.")
          SearchException missingJGroupsMuxId(String muxId)

    - #### jGroupsStartingChannelProvider

          @LogMessage(level=DEBUG)
           @Message(id=200008,
                   value="Starting JGroups ChannelProvider")
          void jGroupsStartingChannelProvider()

    - #### jGroupsMuxIdAlreadyTaken

          @Message(id=200009,
                   value="MuxId \'%1$d\' configured on the JGroups was already taken. Can\'t register handler!")
          SearchException jGroupsMuxIdAlreadyTaken(short n)

    - #### jGroupsFlushNotPresentInStack

          @LogMessage(level=WARN)
           @Message(id=200010,
                   value="FLUSH is not present in your JGroups stack! FLUSH is needed to ensure messages are not dropped while new nodes join the cluster. Will proceed, but inconsistencies may arise!")
          void jGroupsFlushNotPresentInStack()

    - #### jgroupsFullConfiguration

          @LogMessage(level=DEBUG)
           @Message(id=200011,
                   value="Using JGroups channel having configuration \'%1$s\'")
          void jgroupsFullConfiguration(String printProtocolSpecAsXML)

    - #### jGroupsClosingChannelError

          @LogMessage(level=ERROR)
           @Message(id=200012,
                   value="Problem closing channel; setting it to null")
          void jGroupsClosingChannelError(@Cause
                                                                                                                                                      Exception toLog)

    - #### jGroupsChannelInjectionError

          @Message(id=200013,
                   value="Object injected for JGroups channel in %1$s is of an unexpected type %2$s (expecting org.jgroups.JChannel)")
          SearchException jGroupsChannelInjectionError(String channelInject,
                                                                                                                                                                                                        @Cause
                                                                                                                                                                                                        Exception e,
                                                                                                                                                                                                        @FormatWith(value=ClassFormatter.class)
                                                                                                                                                                                                        Class<?> actualType)

    - #### startingJGroupsChannel

          @LogMessage(level=DEBUG)
           @Message(id=200014,
                   value="Starting JGroups channel using configuration \'%1$s\'")
          void startingJGroupsChannel(Object cfg)

    - #### jGroupsChannelCreationUsingFileError

          @Message(id=200015,
                   value="Error while trying to create a channel using config file: %1$s")
          SearchException jGroupsChannelCreationUsingFileError(String configuration,
                                                                                                                                                                    @Cause
                                                                                                                                                                    Throwable e)

    - #### jGroupsConfigurationNotFoundInProperties

          @LogMessage(level=INFO)
           @Message(id=200016,
                   value="Unable to use any JGroups configuration mechanisms provided in properties %1$s. Using default JGroups configuration file!")
          void jGroupsConfigurationNotFoundInProperties(Properties props)

    - #### jGroupsDisconnectingAndClosingChannel

          @LogMessage(level=INFO)
           @Message(id=200017,
                   value="Disconnecting and closing JGroups Channel to cluster \'%1$s\'")
          void jGroupsDisconnectingAndClosingChannel(String clusterName)

    - #### jGroupsDefaultConfigurationFileNotFound

          @LogMessage(level=WARN)
           @Message(id=200018,
                   value="Default JGroups configuration file was not found. Attempt to start JGroups channel with default configuration!")
          void jGroupsDefaultConfigurationFileNotFound()

    - #### unableToStartJGroupsChannel

          @Message(id=200019,
                   value="Unable to start JGroups channel")
          SearchException unableToStartJGroupsChannel(@Cause
                                                                                                                            Throwable e)

    - #### jGroupsConnectedToCluster

          @LogMessage(level=INFO)
           @Message(id=200020,
                   value="Connected to cluster [ %1$s ]. The local Address is %2$s")
          void jGroupsConnectedToCluster(String clusterName,
                                                                                                                                                                 Object address)

    - #### unableConnectingToJGroupsCluster

          @Message(id=200021,
                   value="Unable to connect to: [%1$s] JGroups channel")
          SearchException unableConnectingToJGroupsCluster(String clusterName,
                                                                                                                                              @Cause
                                                                                                                                              Throwable e)

    - #### jgroupsBlockWaitingForAck

          @LogMessage(level=DEBUG)
           @Message(id=200022,
                   value="JGroups backend configured for index \'%1$s\' using block_for_ack \'%2$s\'")
          void jgroupsBlockWaitingForAck(String indexName,
                                                                                                                                                                                    boolean block)

    - #### legacyJGroupsConfigurationDefined

          @Message(id=200023,
                   value="JGroups channel configuration should be specified in the global section [hibernate.search.services.jgroups.], not as an IndexManager property for index \'%1$s\'. See http://docs.jboss.org/hibernate/search/5.0/reference/en-US/html_single/#jgroups-backend")
          SearchException legacyJGroupsConfigurationDefined(String indexName)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved